<bugID>759397<Summary>Remove per-item download rate clutter</Summary><Description>Created attachment 628019
Truncated display

The download panels often cuts off the last part of its text. See attached screenshot. This is a "standard" Windows 7 install with default font sizes.</Description></bugID>